## Demonstration sites

CiviCRM hosts several demo sites - there is at least one for each of the supported **Content Management Systems** (CMS) - Backdrop, Drupal 7, Joomla, and WordPress. The demo sites present a working copy of the latest master of CiviCRM with sample data. You can use them to play around with CiviCRM, but be aware that they are publicly viewable so you shouldn't enter personal data.

!!! note
    These sites run on `master` for the most part (some CMSs are harder to automate!)
    the code is bleeding edge and the "official" demo sites are intended for issue reproduction
    and testing purposes - whilst they do demonstrate the functionality of CiviCRM this is not their
    primary purpose and they should be considered **sandboxes** rather than demos.

A list of the available demos can be found at [https://civicrm.org/demo](https://civicrm.org/demo).

As these are public demo sites, you may from time to time find that they are configured unexpectedly, miss some functionality, or appear in different languages as they are explored by other users such as yourself.

The demo sites also have some limitations - you can't send emails from them, nor set permissions for Drupal users or do a full exploration of online payment options.

If you are having trouble working on a demo site, contact the CiviCRM [Core Team](https://civicrm.org/teams/core-team). If you want a more controlled environment for exploring CiviCRM, you're ready for your own test site!

## A local test installation

You can download and set up a local version of CiviCRM on your local computer rather than on a server on the Internet. You'll still access it through a browser, but it will only be visible on your computer. The advantage of a test installation is that you can configure CiviCRM, and experiment with your data. This works if you're familiar with configuring a webhosting environment but it does require a measure of technical knowledge.

## CiviCRM Spark

If you're not comfortable with setting up a webhosting environment, a quick option is to sign up for [CiviCRM Spark](https://civicrm.org/spark). This hosted CiviCRM platform is provided by CiviCRM LLC and helps sustain CiviCRM
development.

## Contact a supplier

If you'd prefer to have guidance at this early stage, consider getting in touch with a CiviCRM provider who can advise you on the best way to achieve what you need. The CiviCRM website has a [find an expert](https://civicrm.org/partners-contributors) feature which can help you find the right people to work alongside.
